<?php 
/**
 * Plugin Name
 *
 * @package           PluginPackage
 * @author            Your Name
 * @copyright         2022 Your Name or Company Name
 * @license           GPL-2.0-or-later
 *
 * @wordpress-plugin
 * Plugin Name:       My Plugin
 * Plugin URI:        https://example.com/plugin-name
 * Description:       Description of the plugin.
 * Version:           1.0.0
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            Mohamed Jamil AYARI
 * Author URI:        https://example.com
 * Text Domain:       plugin-slug
 * License:           GPL v2 or later
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Update URI:        https://example.com/my-plugin/
 */

session_start();

global $wpdb;
$charset_collate = $wpdb->get_charset_collate();
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

global $UTC_Tunisia_GAP, $dbh;
$UTC_Tunisia_GAP = +(1 * 60 * 60);


/*
* Security
*/
if ( ! defined( 'WPINC' ) || ! defined( 'ABSPATH' ) ) {
    echo "It's not allowed to access the plugin directly";
    die;
    exit;
}

/*
* Include apis
*/
include('api/user-account.php');
include('api/add-product-to-wishlist.php');
include('api/remove-product-from-wishlist.php');
include('api/add-product-to-cart.php');
include('api/remove-product-from-cart.php');
include('api/add-product-quantity-in-cart.php');
include('api/reduce-product-quantity-in-cart.php');













